<div class="grid grid-cols-12 min-h-screen">

  {{template "partials/sidebar" "buildings"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-3">Voeg een gebouw toe</h1>

    <p class="mb-7"><a href="/buildings"
        class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline"><svg
          class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
          <path fill="currentColor" d="M20 11v2H8l5.5 5.5l-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5L8 11h12Z" />
        </svg> Terug naar alle gebouwen</a></p>

    <div id="results"></div>

    <form method="POST" action="/buildings" hx-post="/buildings" hx-target="#results">
      <div class="grid grid-cols-12 mb-4">
        <label for="constructed-at"
          class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pr-2 sm:pb-6 border-t text-gray-600 font-medium break-words">Bouwdatum</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <es-datetimepicker id="constructed-at" name="constructedAt" placeholder="Selecteer datum en tijd"
            extra-input-classes="w-full"></es-datetimepicker>
        </div>

        <label for="surface"
          class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pr-2 sm:pb-6 border-t text-gray-600 font-medium break-words">Oppervlakte</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <div class="flex rounded-md shadow-sm" role="group">
            <input type="number" id="surface"
              class="relative grow border border-gray-300 text-gray-800 text-sm rounded-l-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block p-2.5 placeholder:text-gray-400"
              name="surface" placeholder="Oppervlakte" min="0" step="1">
            <span
              class="bg-slate-100 border border-l-0 border-slate-300 rounded-r-lg text-sm px-5 py-2.5">m&sup2;</span>
          </div>
        </div>

        <label for="address"
          class="col-span-12 sm:col-span-4 md:col-span-3 pt-6 sm:pr-2 sm:pb-6 border-t text-gray-600 font-medium break-words">Adres</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <es-dropdown-with-search id="address" name="address" placeholder="Kies een adres"
            hx-trigger="keyup change"
            hx-get="/buildings/new"
            hx-vals="js:{s: event.target.value}"
            hx-target="#list">
            <template id="template">{{ template "partials/building-new-address-list" . }}</template>
          </es-dropdown-with-search>
        </div>              
      </div>

      <p class="mb-8"><button type="submit"
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm">Opslaan</button>
      </p>
    </form>
  </div>
</div>
